package com.maniu.mn_2020_6_11;

import android.util.Log;
import android.widget.TextView;


public class DFragment extends BaseFragment {

    @Override
    protected void initView() {
        TextView textView = (TextView) view.findViewById(R.id.textview);


        mTextviewContent = getFragmentTextviewContent();
        textView.setText(mTextviewContent);

        mMainActivity = (MainActivity) getActivity();
        printLog(mTextviewContent +"加载了");
    }

    @Override
    protected int getLayoutRes() {
        return R.layout.fragment_item;
    }

    @Override
    protected void loadData() {
        Log.i(TAG,getFragmentTextviewContent()+"可以加载数据了");
    }

    @Override
    protected String getFragmentTextviewContent() {
        return "Page_3";
    }
}
